stages:
  - deploy
  - deploy_env

bridge:
  stage: deploy
  variables:
    UPSTREAM_BRANCH: $CI_COMMIT_REF_NAME
  trigger:
    project: GAUMI-fginfo/fg-website
    strategy: depend

preview_site:
  stage: deploy_env
  needs: [ "bridge" ]
  script:
    - "echo Deployed Preview Seite: https://gaumi-fginfo.pages.gwdg.de/fg-website/output/"
  environment:
    name: "Preview Seite"

production_site:
  stage: deploy_env
  needs: [ "bridge" ]
  script:
    - "echo Deployed Production Seite: https://fg.informatik.uni-goettingen.de"
  environment:
    name: "Production Seite"
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
      when: on_success
    - when: never



